Create a template
POST
/v1/templates
const url = 'https://shareout.site/v1/templates';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","subject":"example","html":"example","text_body":"example","artifact_id":"example","variables":[{"name":"example","type":"string","required":false,"default":"example","description":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/templates \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "subject": "example", "html": "example", "text_body": "example", "artifact_id": "example", "variables": [ { "name": "example", "type": "string", "required": false, "default": "example", "description": "example" } ] }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
string
subject
required
string
html
required
string
text_body
string
artifact_id
Scope to an artifact; null = account-level.
string | null
variables
Array<object>
object
name
required
Accessed via {{data.name}}.
string
type
required
string
required
boolean
default
description
string
Responses
Section titled “ Responses ”Created
Media type application/json
object
success
boolean
data
object
template
object
id
string
artifact_id
string | null
owner_id
string
name
string
subject
string
html
string
text_body
string
is_system
boolean
created_at
integer
updated_at
integer
Example generated
{ "success": true, "data": { "template": { "id": "example", "artifact_id": "example", "owner_id": "example", "name": "example", "subject": "example", "html": "example", "text_body": "example", "is_system": true, "created_at": 1, "updated_at": 1 } }}Invalid request
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}